当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-07 19:42 

注册: 2006-07-21 11:24
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
为了vdpau支持决定自己编译mplayer,然后发现编译出来的mplayer缺少好多功能。
在网上查很久才找到,原来完整编译需要那么多库.....
代码:
$ sudo apt-get install debhelper em8300-headers gawk gettext html2text \
intltool-debian ladspa-sdk libaa1-dev libasound2-dev libatk1.0-dev libaudio-dev \
libaudio2 libaudiofile-dev libavahi-client-dev libavahi-common-dev libcaca-dev \
libcairo2-dev libcdparanoia-dev libcelt0 libdbus-1-dev libdbus-glib-1-dev libdirectfb-dev \
libdirectfb-extra libdts-dev libdv4-dev libenca-dev libenca0 libesd0-dev libexpat1-dev \
libfaac-dev libfaac0 libffado0 libfontconfig1-dev libfreebob0 libfreetype6-dev \
libfribidi-dev libggi-target-x libggi2 libggi2-dev libggimisc2 libggimisc2-dev \
libgif-dev libgii1 libgii1-dev libgii1-target-x libgl1-mesa-dev libglib2.0-dev \
libglu1-mesa-dev libgtk2.0-dev libice-dev libjack-dev libjack0 libjpeg62-dev \
liblzo-dev liblzo1 liblzo2-2 liblzo2-dev libmad0-dev libmail-sendmail-perl \
libmp3lame-dev libmp3lame0 libmpcdec-dev libmpcdec3 libncurses5-dev libogg-dev \
libopenal-dev libopenal1 libpango1.0-dev libpixman-1-dev libpng12-dev libpopt-dev \
libpthread-stubs0 libpthread-stubs0-dev libpulse-dev libpulse-mainloop-glib0 \
libsdl1.2-dev libslang2-dev libsm-dev libsmbclient-dev libspeex-dev libsvga1 \
libsvga1-dev libsys-hostname-long-perl libsysfs-dev libtheora-dev libtwolame-dev \
libtwolame0 libvorbis-dev libx11-dev libxau-dev libschroedinger-dev libstdc++5  \
libxcb-render-util0-dev libxcb-render0-dev libxcb1-dev libxcomposite-dev \
libxcursor-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxft-dev \
libxi-dev libxinerama-dev libxml++2.6-2 libxrandr-dev libxrender-dev libxt-dev \
libxv-dev libxvidcore4-dev libxvmc-dev libxxf86dga-dev libxxf86vm-dev mesa-common-dev \
po-debconf sharutils x11proto-composite-dev x11proto-core-dev x11proto-damage-dev \
x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev \
x11proto-render-dev x11proto-video-dev x11proto-xext-dev x11proto-xf86dga-dev \
x11proto-xf86vidmode-dev x11proto-xinerama-dev xtrans-dev zlib1g-dev \
libamrnb-dev libamrwb-dev libamrnb3 libamrwb3 liboil0.3-dev libcddb2-dev


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-09 17:05 

注册: 2007-05-26 20:03
帖子: 26
送出感谢: 0 次
接收感谢: 0 次
不会吧,应该有很多系统装上时就装好的。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-09 17:21 
头像

注册: 2006-05-20 14:03
帖子: 898
送出感谢: 0 次
接收感谢: 0 次
好多一般用不上的吧,我编译的时候只加了不到10个


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-09 17:26 
头像

注册: 2007-10-23 12:54
帖子: 1688
送出感谢: 0 次
接收感谢: 13
是需要很多开发包,不过不是用这种方法安装的,应该是
代码:
sudo apt-get build-dep mplayer


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-09 19:01 

注册: 2009-06-07 13:32
帖子: 81
送出感谢: 0 次
接收感谢: 0 次
楼主自虐阿自虐阿

有deb何必去编译,实在痛苦- -


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-12 13:31 

注册: 2006-07-21 11:24
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
AutoXBC 写道:
是需要很多开发包,不过不是用这种方法安装的,应该是
代码:
sudo apt-get build-dep mplayer

返回错误 E: 无法找到与 mplayer 对应的源代码包
是我源没有设置好?
mplayer的源码我是用svn的。


最后由 ngok 编辑于 2009-06-12 13:39,总共编辑了 1 次

页首
 用户资料  
 
7 楼 
 文章标题 : Re: 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-12 13:37 

注册: 2006-07-21 11:24
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
MyETUO 写道:
楼主自虐阿自虐阿

有deb何必去编译,实在痛苦- -

mediabuntu的mplayer没有vdpau支持不能硬解。
从avenard安装却要安装185驱动而且卸载了xorg,一开始没仔细看重启就坏了,然后xorg的文件没了185驱动还不能卸载,差点被它搞死。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-12 17:57 
头像

注册: 2007-10-23 12:54
帖子: 1688
送出感谢: 0 次
接收感谢: 13
ngok 写道:
AutoXBC 写道:
是需要很多开发包,不过不是用这种方法安装的,应该是
代码:
sudo apt-get build-dep mplayer

返回错误 E: 无法找到与 mplayer 对应的源代码包
是我源没有设置好?
mplayer的源码我是用svn的。


deb http://ubuntu.cn99.com/ubuntu/ hardy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ hardy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ hardy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ hardy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ hardy-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ hardy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ hardy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ hardy-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ hardy-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ hardy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ hardy main restricted universe multiverse

要有红字的部分。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 编译mplayer需要的库好多啊
帖子发表于 : 2009-06-12 18:58 
头像

注册: 2009-04-14 13:18
帖子: 707
送出感谢: 0 次
接收感谢: 0 次
有deb包,如果觉得编译麻烦的话可以直接安装啊!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译